#
# THIS IS A HACK! When doing this properly, make really sure you
# import the specfile from $git_base/pkg/nrpe rather than using
# this one (they'll have to be merged though, as this one should
# still build the client as well)
#

Summary: nrpe-client is a program for querying NRPE daemons
Name: nrpe-client
Version: %{op5version}
Release: %{op5release}%{?dist}
Group: op5/system-addons
License: GPL+
Source0: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%name-%version
BuildRequires: openssl
BuildRequires: openssl-devel
Provides: op5-nrpe-client = %version
Obsoletes: op5-rnpe < %version
Provides: op5-nrpe = %version
Obsoletes: op5-nrpe-client-slim >= %version
Requires: nrpe

%description
nrpe-client is a small program designed to query an NRPE daemon
running on a remote server and returning the output and return
code of the command the NRPE daemon runs on behalf of the client.

This is intended to be used on your monitoring server, while the
daemon should run on the servers you want to monitor.

%prep
%setup -q

%build
%configure --enable-command-args

make check_nrpe


%install
rm -rf %buildroot

mkdir -p %buildroot/opt/plugins
cp src/check_nrpe %buildroot/opt/plugins
rm src/nrpe
mkdir -p %buildroot/etc/nrpe.d
cp op5build/op5_commands.cfg %buildroot/etc/nrpe.d


%post
# Switch to upstream epel nrpe and migrate our config to that.
if [ $1 -eq 2 ]; then
    if [ ! -f /etc/nrpe.d/00-migrated-nrpe-do-not-remove.cfg ]; then
        if [ -f /etc/nrpe.conf ]; then
            cp -a /etc/nrpe.conf /etc/nrpe.d/00-migrated-nrpe-do-not-remove.cfg

            # Remove old include_dir entry so we don't get circual dependencies
            # This will crash the nrpe on old systems that doesn't have new shiny
            # op5-epel or upstream epel enabled.
            sed -i '/include_dir.*/d' /etc/nrpe.d/00-migrated-nrpe-do-not-remove.cfg
        fi
    fi
fi

%if 0%{?rhel} >= 7
systemctl enable nrpe
systemctl restart nrpe
%else
/sbin/chkconfig --add nrpe
/sbin/chkconfig nrpe on
/sbin/service nrpe stop || :
/sbin/service nrpe start || :
%endif

%if 0%{?rhel} >= 7
%package slim
Summary: nrpe-client is a program for querying NRPE daemons
BuildRequires: openssl
BuildRequires: openssl-devel
Provides: nrpe-client = %version
Provides: op5-nrpe = %version

%description slim
nrpe-client includes check_nrpe which is a program for querying NRPE daemons.

%files slim
%defattr(644,root,root)
%attr(755,root,root) /opt/plugins/check_nrpe
%endif

%files
%defattr(644,root,root)
%attr(755,root,root) /opt/plugins/check_nrpe
/etc/nrpe.d/*

%clean
rm -rf %buildroot

%changelog
* Thu Nov 14 2019 Jacob Hansen <jhansen@itrsgroup.com> -
- Added package for slim poller
* Mon Nov 12 2007 Andreas Ericsson <ae@op5.se> -
- Tracked alongside sources for autobuild voodoo to work.
